Main Page Class Hierarchy Compound List File List Compound Members File Members

# _SM_INFO Struct Reference

`#include <rw_strongmotionII.h>`

List of all members.

## Public Attributes
char | sta [TRACE_STA_LEN]
char | comp [TRACE_CHAN_LEN]
char | net [TRACE_NET_LEN]
char | loc [TRACE_LOC_LEN]
char | qid [EVENTID_SIZE]
char | qauthor [AUTHOR_FIELD_SIZE]
double | t
double | talt
int | altcode
double | pga
double | tpga
double | pgv
double | tpgv
double | pgd
double | tpgd
int | nrsa
double | pdrsa [SM_MAX_RSA]
double | rsa [SM_MAX_RSA]
double | tload

## Member Data Documentation

int _SM_INFO::altcode

| Definition at line 342 of file rw_strongmotionII.h. Referenced by k2evt2ew(), log_strongmotionII(), rd_strongmotionII(), and wr_strongmotionII().

char _SM_INFO::comp[TRACE_CHAN_LEN]

| Definition at line 330 of file rw_strongmotionII.h. Referenced by k2evt2ew(), log_strongmotionII(), rd_strongmotionII(), and wr_strongmotionII().

char _SM_INFO::loc[TRACE_LOC_LEN]

| Definition at line 332 of file rw_strongmotionII.h. Referenced by k2evt2ew(), log_strongmotionII(), rd_strongmotionII(), and wr_strongmotionII().

char _SM_INFO::net[TRACE_NET_LEN]

| Definition at line 331 of file rw_strongmotionII.h. Referenced by k2evt2ew(), log_strongmotionII(), rd_strongmotionII(), and wr_strongmotionII().

int _SM_INFO::nrsa

| Definition at line 350 of file rw_strongmotionII.h. Referenced by log_strongmotionII(), peak_ground(), rd_strongmotionII(), and wr_strongmotionII().

double _SM_INFO::pdrsa[SM_MAX_RSA]

| Definition at line 352 of file rw_strongmotionII.h. Referenced by log_strongmotionII(), peak_ground(), rd_strongmotionII(), and wr_strongmotionII().

double _SM_INFO::pga

| Definition at line 344 of file rw_strongmotionII.h. Referenced by log_strongmotionII(), peak_ground(), rd_strongmotionII(), and wr_strongmotionII().

double _SM_INFO::pgd

| Definition at line 348 of file rw_strongmotionII.h. Referenced by log_strongmotionII(), peak_ground(), rd_strongmotionII(), and wr_strongmotionII().

double _SM_INFO::pgv

| Definition at line 346 of file rw_strongmotionII.h. Referenced by log_strongmotionII(), peak_ground(), rd_strongmotionII(), and wr_strongmotionII().

char _SM_INFO::qauthor[AUTHOR_FIELD_SIZE]

| Definition at line 334 of file rw_strongmotionII.h. Referenced by log_strongmotionII(), rd_strongmotionII(), and wr_strongmotionII().

char _SM_INFO::qid[EVENTID_SIZE]

| Definition at line 333 of file rw_strongmotionII.h. Referenced by log_strongmotionII(), rd_strongmotionII(), and wr_strongmotionII().

double _SM_INFO::rsa[SM_MAX_RSA]

| Definition at line 353 of file rw_strongmotionII.h. Referenced by log_strongmotionII(), peak_ground(), rd_strongmotionII(), and wr_strongmotionII().

char _SM_INFO::sta[TRACE_STA_LEN]

| Definition at line 329 of file rw_strongmotionII.h. Referenced by k2evt2ew(), log_strongmotionII(), rd_strongmotionII(), and wr_strongmotionII().

double _SM_INFO::t

| Definition at line 336 of file rw_strongmotionII.h. Referenced by k2evt2ew(), log_strongmotionII(), peak_ground(), rd_strongmotionII(), and wr_strongmotionII().

double _SM_INFO::talt

| Definition at line 340 of file rw_strongmotionII.h. Referenced by k2evt2ew(), log_strongmotionII(), rd_strongmotionII(), and wr_strongmotionII().

double _SM_INFO::tload

| Definition at line 356 of file rw_strongmotionII.h.

double _SM_INFO::tpga

| Definition at line 345 of file rw_strongmotionII.h. Referenced by log_strongmotionII(), peak_ground(), rd_strongmotionII(), and wr_strongmotionII().

double _SM_INFO::tpgd

| Definition at line 349 of file rw_strongmotionII.h. Referenced by log_strongmotionII(), peak_ground(), rd_strongmotionII(), and wr_strongmotionII().

double _SM_INFO::tpgv

| Definition at line 347 of file rw_strongmotionII.h. Referenced by log_strongmotionII(), peak_ground(), rd_strongmotionII(), and wr_strongmotionII().

The documentation for this struct was generated from the following file:

- rw_strongmotionII.h